<template>
  <ul class="container--navbar" :class="resolveDirectionClass">
    <li v-for="{ id, name, selected } in options" :key="id" :class="resolveSelectedClass(selected)">
      {{ name }}
    </li>
  </ul>
</template>

<script>
export default {
  name: 'NavBar',
  props: {
    horizontal: {
      type: Boolean,
      default: false,
    },
    options: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    resolveDirectionClass() {
      return this.horizontal ? 'horizontal' : 'vertical';
    },
  },
  methods: {
    resolveSelectedClass(val) {
      if (val) {
        return this.horizontal ? 'selected--horizontal' : 'selected';
      }
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/sizes.sass'
@import '@/assets/sass/colors.sass'
.container--navbar
  padding: 0 2rem
  margin: 0
  min-width: 17rem
  font-weight: 200
.horizontal
  flex-direction: row
  justify-content: space-between

.vertical
  flex-direction: column
ul
  display: flex
  flex-direction: column
  align-items: center
  justify-content: center
  li
    font-size: $xs-size
    margin: .7rem 0
    cursor: pointer
    padding-right: 2.5rem
  .selected--horizontal
    background: $primary
    color: $secondary
    padding: .1rem .8rem
    border-radius: .3rem
  .selected
    background: $primary-ligth
    color: $secondary
    padding: .4rem 2.3rem
    border-radius: .8rem
</style>
